Subject: Re: [RFC] Git User's Survey 2008

From: Jakub Narebski <[email-masked]>
Date: Thu, 24 Jul 2008 12:44:17 +0200

Dnia środa 23. lipca 2008 18:00, Johannes Schindelin napisał:
> On Wed, 23 Jul 2008, Robin Rosenberg wrote:
>> onsdagen den 23 juli 2008 15.18.40 skrev Johannes Schindelin:
>>> On Wed, 23 Jul 2008, Jakub Narebski wrote:
>>>> On Wed, 23 Jul 2008, Johannes Schindelin wrote:
>>>>> On Wed, 23 Jul 2008, Jakub Narebski wrote:
>>>>> 
>>>>> Some people prefer to stay anonymous, so I think email is out.
>>>>> 
>>>>>>    04. Which programming languages you are proficient with?
>>>>>>        (The choices include programming languages used by git)
>>>>>>        (zero or more: multiple choice)
>>>>>>      - C, shell, Perl, Python, Tcl/Tk
>>>>>>      + (should we include other languages, like C++, Java, PHP,
>>>>>>         Ruby,...?)
>>>>> 
>>>>> Yes, I think this should be a long list.
>>>> 
>>>> I'd rather not have a "laundry list" of languages.  I have put C++ 
>>>> because QGit uses it, Java because of egit/jgit, PHP for web 
>>>> interfaces, Ruby because of GitHub and because of Ruby comminity 
>>>> choosing Git.  I should perhaps add Emacs Lisp, HTML+CSS and 
>>>> JavaScript here.  What other languages should be considered?
>>> 
>>> C# at least, since we had one (pretty unsuccessful) attempt at 
>>> reimplementing Git in it.
>> 
>> What is the reason for the question? Do we want to know what languages
>> people would like to contribute to Git in or do we want to know what "kind"
>> of programmers are attracted by Git?  Making it a long list should make
>> it easier to tabulate the responses.
> 
> "could contribute" is more appropriate IMHO.  Although you might be right 
> to ask "would like to contribute"... ;-)

I think it is both.  We would like to know what kind of programmers
(and non-programmers) are attracted to Git, and also what languages
could people contribute to Git.

-- 
Jakub Narebski
Poland